# Terraform Configurations

You can find the configurations required for provisioning on your cloud provider on the following GitHub repository.&#x20;

{% embed url="<https://github.com/rierino-open/deployment>" %}
Terraform Configuration Repository
{% endembed %}

It is possible to customize the following provisioning variables as needed:

<table><thead><tr><th width="174">Variable</th><th width="249.33333333333331">Definition</th><th>Default</th></tr></thead><tbody><tr><td>region</td><td>Cloud region to provision the cluster on</td><td>"eu-north-1"</td></tr><tr><td><a data-footnote-ref href="#user-content-fn-1">vpc_id</a></td><td>ID of VPC to add cluster to</td><td>-</td></tr><tr><td>zones</td><td>Zones to user for the cluster</td><td>["eu-north-1b"]</td></tr><tr><td>cluster_name</td><td>Name to assign to provisioned cluster</td><td>"rierino-cluster"</td></tr><tr><td>static_ips</td><td>Names of static ips to allocate for services</td><td>[ "admin-gateway-lb-ip", "h2owave-lb-ip", "admin-ui-lb-ip" ]</td></tr><tr><td>node_pools</td><td>List of node pool definitions to provision</td><td><p>[ </p><p>{ name = "admin" instance_size = "small" desired_size = 1 min_size = 1 max_size = 2 }, </p><p>{ name = "ui" instance_size = "medium" desired_size = 1 min_size = 1 max_size = 2 }, </p><p>{ name = "infra" instance_size = "small" desired_size = 1 min_size = 1 max_size = 2 }, </p><p>{ name = "ops" instance_size = "large" desired_size = 1 min_size = 1 max_size = 2 } </p><p>]</p></td></tr><tr><td>admin_cidr</td><td>CIDR for static IP addresses to grant admin access to</td><td>-</td></tr></tbody></table>

{% hint style="info" %}
**Where do we draw the line between Terraform & Ansible?**

We use Terraform strictly for provisioning of cloud vendor specific resources (e.g. cluster, node pools, security groups).

Any application installation, configuration or kubernetes deployment is done using Ansible.&#x20;
{% endhint %}

[^1]: A new VPC is not created automatically as it is preferred to add Rierino to an existing VPC in most cases.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/installation/artifacts/terraform-configurations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
